package base

type DataListImportField struct {
	Uuid               string         `db:"uuid"`
	DataListUuid       string         `db:"data_list_uuid"`     // 所属列表 UUID
	Title              string         `db:"title"`              // 列表标题
	Code               string         `db:"code"`               // 字段名称
	CodeResource       string         `db:"codeResource"`       // 字段所属资源
	FieldDataType      string         `db:"fieldDataType"`      // 字段数据类型
	Width              int            `db:"width"`              // 列宽
	Align              string         `db:"align"`              // 对齐方式
	IsWidthFixed       bool           `db:"isWidthFixed"`       // 列宽固定
	ConvertByJs        string         `db:"convertByJs"`        // 前端数据转换控件
	ConvertByJsSetting map[string]any `db:"convertByJsSetting"` // 前端数据转换控件设置参数
	IsVirtual          bool           `db:"isVirtual"`          // 是否虚拟字段
	IsValidator        int            `db:"isValidator"`        // 导入字段验证
	Validators         map[string]any `db:"validators"`         // 导入字段验证规则
	UpdatedAt          string         `db:"updated_at"`
	CreatedAt          string         `db:"created_at"`
}

type GetDataListImportFields func(listUuid string) []DataListImportField
