package base

type GridLayoutFormField struct {
	Uuid               string           `db:"uuid"`
	GridLayoutFormUuid string           `db:"grid_layout_form_uuid"` // 所属布局 UUID
	Type               string           `db:"type"`
	X                  int              `db:"x"`
	Y                  int              `db:"y"`
	W                  int              `db:"w"`
	H                  int              `db:"h"`
	MinH               int              `db:"minH"`
	MinW               int              `db:"minW"`
	MaxH               int              `db:"maxH"`
	MaxW               int              `db:"maxW"`
	Code               string           `db:"code"`
	Label              string           `db:"label"`
	Widget             string           `db:"widget"`
	WidgetPerfix       string           `db:"widgetPerfix"`
	WidgetDecorator    string           `db:"widgetDecorator"`
	SubWidgets         []map[string]any `db:"subWidgets"`
	Placeholder        string           `db:"placeholder"`
	Help               string           `db:"help"`
	Disabled           int              `db:"disabled"`
	InitialValue       string           `db:"initialValue"`
	Extras             map[string]any   `db:"extras"`
	Validators         map[string]any   `db:"validators"`
	Hidden             bool             `db:"hidden"`
	IsVirtual          bool             `db:"isVirtual"`
	UpdatedAt          string           `db:"updated_at"`
	CreatedAt          string           `db:"created_at"`
}

type GetGridLayoutFormFields func(uuid string) []GridLayoutFormField
