package res_type

import (
	"database/sql/driver"
	"encoding/json"
	"fmt"
)

// 解析map ----------------------------------
type ResFieldByMap map[string]any

func (c *ResFieldByMap) Scan(value any) error {
	if value == nil {
		return nil
	}

	if err := json.Unmarshal(value.([]byte), c); err != nil {
		return fmt.Errorf("ResFieldByMap json.Unmarshal Error, %s", err)
	}

	return nil
}

func (c ResFieldByMap) Value() (driver.Value, error) {
	b, err := json.Marshal(c)
	return string(b), err
}
