package res_type

import (
	"database/sql/driver"
	"encoding/json"
	"fmt"
)

// 切片 ------------------------------------
type ResFieldByAnys []any

func (c *ResFieldByAnys) Scan(value any) error {
	if value == nil {
		return nil
	}

	switch v := value.(type) {
	case []byte:
		if len(v) == 0 {
			return nil
		}

		if rune('[') != rune(v[0]) {
			return nil
		}
	default:
	}

	if err := json.Unmarshal(value.([]byte), c); err != nil {
		return fmt.Errorf("ResFieldByAnys json.Unmarshal Error, %s, %s", value, err)
	}

	return nil
}
func (c ResFieldByAnys) Value() (driver.Value, error) {
	b, err := json.Marshal(c)
	return string(b), err
}
