package res_type

import (
	"database/sql/driver"

	"github.com/spf13/cast"
)

// Number 类型 --------------------------------
type ResFieldByNumber float64

func (this *ResFieldByNumber) Scan(value any) error {
	if value == nil {
		return nil
	}

	switch s := value.(type) {
	case []byte:
		*this = ResFieldByNumber(cast.ToFloat64(string(s)))
	default:
		*this = ResFieldByNumber(cast.ToFloat64(s))
	}

	return nil
}

func (this ResFieldByNumber) Value() (driver.Value, error) {
	return this, nil
}
