package res_type

import (
	"database/sql/driver"
	"fmt"
)

// 字符串 -------------------------------------
type ResFieldByString string

func (this *ResFieldByString) Scan(value any) error {
	if value == nil {
		return nil
	}

	switch s := value.(type) {
	case []byte:
		*this = ResFieldByString(s)
	default:
		*this = ResFieldByString(fmt.Sprintf("%v", s))
	}

	return nil
}

func (c ResFieldByString) Value() (driver.Value, error) {
	return c, nil
}
